DEF_MOVE_Y  =200
DEF_PLAYER_NUM=3
DEF_DAER_GAME_ID=108
CCLOG("SC_ChLDaer")
-------------------------------------------------------
-- 注册监听
-------------------------------------------------------
-- 进入房间
Register(emFunction_XC,SC_DRWX_ENTER_P,"SC_DAER_ENTER")
-- 发牌
Register(emFunction_XC,SC_DRWX_FAPAI_P,"SC_DAER_FAPAI")
-- 游戏状态改变
Register(emFunction_XC,SC_DRWX_GAME_STATE_P,"SC_DAER_GAME_STATE")
--翻一张牌
Register(emFunction_XC,SC_DRWX_FANPAI_P,"SC_DAER_FANPAI")
-- 摸一张牌
Register(emFunction_XC,SC_DRWX_MOPAI_P,"SC_DAER_MOPAI")
-- 当前操作位置
Register(emFunction_XC,SC_DRWX_NOW_OP_SEAT_P,"SC_DAER_NOW_OP_SEAT")
-- 通知玩家进行的操作
Register(emFunction_XC,SC_DRWX_CAN_OPERATE_P,"SC_DAER_CAN_OPERATE")
-- 通知玩家可以进行保叫
Register(emFunction_XC,SC_DRWX_CAN_BAOJIAO_P,"SC_DAER_CAN_BAOJIAO")
-- 保叫结果
Register(emFunction_XC,SC_DRWX_BAOJIAO_P,"SC_DAER_BAOJIAO")
-- 通知客户端可以进行拢牌
Register(emFunction_XC,SC_DRWX_CAN_LONG_P,"SC_DAER_CAN_LONG")
-- 通知拢牌消息
Register(emFunction_XC,SC_DRWX_LONG_P,"SC_DAER_LONG")
-- 吃的结果
Register(emFunction_XC,SC_DRWX_CHI_P,"SC_DAER_CHI")
-- 招的结果
Register(emFunction_XC,SC_DRWX_ZHAO_P,"SC_DAER_ZHAO")
-- 碰的结果
Register(emFunction_XC,SC_DRWX_PENG_P,"SC_DAER_PENG")
-- 胡的结果
Register(emFunction_XC,SC_DRWX_HU_P,"SC_DAER_HU")
-- 优先级相关
Register(emFunction_XC,SC_DRWX_CANCEL_OP_P,"SC_DAER_CANCEL_OP")
-- 通知客户端出牌 
Register(emFunction_XC,SC_DRWX_NOTICE_CHUPAI_P,"SC_DAER_NOTICE_CHUPAI")
-- 出
Register(emFunction_XC,SC_DRWX_CHUPAI_P,"SC_DAER_CHUPAI")
-- 手牌进入弃牌堆
Register(emFunction_XC,SC_DRWX_HAVE_OP_P,"SC_DAER_HAVE_OP")
-- 手牌进入弃牌堆
Register(emFunction_XC,SC_DRWX_PAIDUI_P,"SC_DAER_PAIDUI")
-- 胡数
Register(emFunction_XC,SC_DRWX_HU_NUM_P,"SC_DAER_HU_NUM")
-- 某人放弃操作
Register(emFunction_XC,SC_DRWX_QI_P,"SC_DAER_QI")

-- 某人放弃操作
Register(emFunction_XC,SC_DRWX_SYNC_SP_P,"SC_DAER_SYNC_SP")

--某人放弃操作
function SC_DAER_SYNC_SP( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_SYNC_SP,s)
end
--某人放弃操作
function SC_DAER_QI( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_QI,s)
end
--胡数
function SC_DAER_HU_NUM( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_HU_NUM,s)
end
--是否有操作
function SC_DAER_PAIDUI( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_PAIDUI,s)
end
-----------------------recv xc ----------------------------------
--进入房间
function SC_DAER_ENTER( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_ENTER,s)
end
--发牌
function SC_DAER_FAPAI( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_FAPAI,s)
end
--游戏状态改变
function SC_DAER_GAME_STATE( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_GAME_STATE,s)
end
--翻一张牌
function SC_DAER_FANPAI( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_FANPAI,s)
end
--摸一张牌
function SC_DAER_MOPAI( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_MOPAI,s)
end
--当前操作位置
function SC_DAER_NOW_OP_SEAT( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_NOW_OP_SEAT,s)
end
--通知玩家进行的操作
function SC_DAER_CAN_OPERATE( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_CAN_OPERATE,s)
end
--通知玩家可以进行保叫
function SC_DAER_CAN_BAOJIAO( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_CAN_BAOJIAO,s)
end
--保叫结果
function SC_DAER_BAOJIAO( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_BAOJIAO,s)
end
--通知客户端可以进行拢牌
function SC_DAER_CAN_LONG( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_CAN_LONG,s)
end
--通知拢牌消息
function SC_DAER_LONG( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_LONG,s)
end
--吃的结果
function SC_DAER_CHI( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_CHI,s)
end
--招的结果
function SC_DAER_ZHAO( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_ZHAO,s)
end
--碰的结果
function SC_DAER_PENG( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_PENG,s)
end
--胡的结果
function SC_DAER_HU( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_HU,s)
end
--优先级相关
function SC_DAER_CANCEL_OP( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_CANCEL_OP,s)
end
--通知客户端出牌
function SC_DAER_NOTICE_CHUPAI( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_NOTICE_CHUPAI,s)
end

--出
function SC_DAER_CHUPAI( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_CHUPAI,s)
end

--手牌进入弃牌堆
function SC_DAER_PAIDUI( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_PAIDUI,s)
end
--是否有操作
function SC_DAER_HAVE_OP( s )
	LzDaer_EventMgr:fire(LzDaer_Events.SC_DAER_HAVE_OP,s)
end
--------------------send  xc ----------------------

--客户端保叫
function CS_DAER_BAOJIAO( s)
	CCLOG("CS_DAER_BAOJIAO 客户端保叫")
	SHOW(s)
	SendGameServer(emFunction_XC, CS_DRWX_BAOJIAO_P,s)
end
--客户端进行拢牌
function CS_DAER_LONG( s )
	CCLOG("CS_DAER_LONG 客户端进行拢牌")
	SHOW(s)
	SendGameServer(emFunction_XC, CS_DRWX_LONG_P,s)
end
--吃
function CS_DAER_CHI( s )
	CCLOG("CS_DAER_CHI 吃")
	SHOW(s)
	SendGameServer(emFunction_XC, CS_DRWX_CHI_P,s)
end
--碰
function CS_DAER_PENG( s)
	CCLOG("CS_DAER_PENG 碰")
	SHOW(s)
	SendGameServer(emFunction_XC, CS_DRWX_PENG_P,s)
end
--胡
function CS_DAER_HU( s )
	CCLOG("CS_DAER_HU 胡")
	SHOW(s)
	SendGameServer(emFunction_XC, CS_DRWX_HU_P,s)
end
--出
function CS_DAER_CHUPAI( s )
	CCLOG("CS_DAER_CHUPAI 出")
	SHOW(s)
	SendGameServer(emFunction_XC, CS_DRWX_CHUPAI_P,s)
end
--过
function CS_DAER_QI( s )
	CCLOG("CS_DAER_QI 出")
	SHOW(s)
	SendGameServer(emFunction_XC, CS_DRWX_QI_P,s)
end

--过
function CS_DAER_SYNC_SP( s )
	CCLOG("CS_DAER_SYNC_SP 同步手牌")
	SHOW(s)
	SendGameServer(emFunction_XC, CS_DRWX_SYNC_SP_P,s)
end

--zhao
function CS_DAER_ZHAO( s )
	CCLOG("CS_DAER_ZHAO 同步手牌")
	SHOW(s)
	SendGameServer(emFunction_XC, CS_DRWX_ZHAO_P,s)
end
